POST Agents/EMail/GetPersonEntitiesFromEmailAddress
Some tooltip text!
• 15 minutes to read
• 15 minutes to read
POST /api/v1/Agents/EMail/GetPersonEntitiesFromEmailAddress
Get all persons and contacts with the given email address
NsApiSlow threshold: 5000 ms.
Online Restricted: ## The EMail agent is not available in Online by default. Access must be requested specifically when app is registered.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/EMail/GetPersonEntitiesFromEmailAddress?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: request
EmailAddress
| Property Name | Type | Description |
|---|---|---|
| EmailAddress | String |
Response:array
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: array
| Property Name | Type | Description |
|---|---|---|
| PersonId | int32 | Primary key |
| Firstname | string | First name |
| MiddleName | string | Middle name or 'van' etc. |
| Lastname | string | Last name |
| Mrmrs | string | e.g. Mrs sex_title Use MDO List name "mrmrs" to get list items. |
| Title | string | Title |
| UpdatedDate | date-time | Last updated date in UTC. |
| CreatedDate | date-time | Registered date in UTC. |
| BirthDate | date-time | The Person birth date as UTC Date. Year 1 = Null. Year 2 = unknown year. |
| CreatedBy | Associate | The user that created the person object |
| Emails | array | A collection of the person's emails |
| Description | string | The actual text, max 2047 significant characters even though it is stored as a larger data type on some databases |
| IsAssociate | bool | Checks if the person object is an associate. The property is read-only. |
| PrivatePhones | array | Returns a collection of phone numbers that belong to the contact person. |
| Faxes | array | Returns a collection of fax numbers that belong to the contact person. |
| MobilePhones | array | Returns a collection of mobile phone numbers that belong to the contact person. |
| OfficePhones | array | Returns a collection of office phone numbers that belong to the contact person. |
| OtherPhones | array | Returns a collection of pagers that belong to the contact person. |
| Position | Position | The position. This is a predefined SuperOffice value, different from Title Use MDO List name "perspos" to get list items. |
| UpdatedBy | Associate | The person that last updated the person object |
| Contact | Contact | The contact the contact person is registered on. This is required unless the 'MandatoryContactOnPerson' preference is set. Use MDO List name "contact_new" to get list items. |
| Country | Country | The country this contact person is located in. Use MDO List name "country" to get list items. |
| Interests | array | The person's available and selected interests. Use MDO List name "persint" to get list items. |
| PersonNumber | string | Alphanumeric user field |
| FullName | string | The person's full name localized to the current culture/country. (internal name used in clients for employees) |
| NoMailing | bool | Spam filter. Indicates if this person should retrieve advertising. |
| UsePersonAddress | bool | True if the person's address should be used as mailing address, instead of the contact's address. |
| Retired | bool | True if the user is retired and should have no rights, not appear in lists, etc. |
| Urls | array | The urls related to this person. |
| FormalName | string | Get formal name for a person, as used in labels. (Full name + person title + academic title) |
| Address | Address | Structure holding formatted address data. The layout of the array structure indicates the layout of the localized address. |
| Post3 | string | Postal address, used in Japanese versions only |
| Post2 | string | Postal address, used in Japanese versions only |
| Post1 | string | Postal address, used in Japanese versions only |
| Kanalname | string | Kana last name, used in Japanese versions only |
| Kanafname | string | Kana first name, used in Japanese versions only |
| CorrespondingAssociate | Associate | The associate corresponding to this person. Will be empty if the person is not a user (internal associate user, external user). |
| Category | Category | Person's category. Usually null. Refer to the Contact.Category instead. Intended for use when individual persons are created. (i.e. when Person.Contact is blank) Use MDO List name "category" to get list items. |
| Business | Business | Person's business - usually blank. Use Contact.Business instead. Intended for use when individual persons are created. (i.e. when Person.Contact is blank) Use MDO List name "business" to get list items. |
| Associate | Associate | The associate owning this person (similar to contact.Associate) - usually blank. Use the Person.Contact.Associate instead. Intended for use when individual persons are created (i.e. when Person.Contact is blank) Use MDO List name "associate" to get list items. |
| Salutation | string | Academic title, populated from Salutation list but can be overwritten with anything at all Use MDO List name "salutation" to get list items. |
| ActiveInterests | int32 | The number of active interests. |
| SupportAssociate | Associate | Use MDO List name "associate" to get list items. |
| TicketPriority | TicketPriority | Use MDO List name "ticketpriority" to get list items. |
| CustomerLanguage | CustomerLanguage | Use MDO List name "customerlanguage" to get list items. |
| DbiAgentId | int32 | Integration agent (eJournal) |
| DbiKey | string | The primary key for the integrated entry in the external datasource. |
| DbiLastModified | date-time | When the entry was last modified. |
| DbiLastSyncronized | date-time | Last external syncronization. |
| SentInfo | int32 | Has information on username/password been sent (ejournal) |
| ShowContactTickets | int32 | Should tickets related to the company be shown to this person |
| UserInfo | UserInfo | Information about the user if this person is a user. If IsAssociate (e.g. is user is true) the UserInfo will be provided. |
| ChatEmails | array | |
| InternetPhones | array | |
| Source | int32 | How did we get this person? For future integration needs |
| ActiveErpLinks | int32 | How many active ERP links are there for this person? |
| ShipmentTypes | array | The person's available and selected shipment types. |
| Consents | array | The person's available consent information. Missing consents are not deleted. To remove a consent, mark its legalbase as 'WITHDRAWN' |
| BounceEmails | array | Email addresses with a positive bounce counter. |
| ActiveStatusMonitorId | int32 | Active status monitor identity with the lowest rank for person |
| CreatedByFormId | int32 | The form id of the form that created the person |
| UtmParameters | SavedUtmParameters | Utm parameters when creating this person, readonly fields |
| LeadstatusId | int32 | Refinement of categories of lead type. Empty if the category is not a lead type. |
| Leadstatus | string | Name of leadstatus |
| UserDefinedFields | object | Deprecated: Use {SuperOffice.CRM.Services.PersonEntity.CustomFields} instead. Dictionary of user defined field data. The key string is the ProgId of the UdefField, or if the ProgId is empty it is a string of the format "SuperOffice:[UdefFieldIdentity]", e.g. "SuperOffice:1234" |
| ExtraFields | object | Deprecated: Use {SuperOffice.CRM.Services.PersonEntity.CustomFields} instead. Extra fields added to the carrier. This could be data from Plug-ins, the foreign key system, external applications, etc. |
| CustomFields | object | Udef + Extra fields added to the carrier. Extra fields as defined by changes to database schema + user-defined fields as defined by admin. Custom fields combines user defined fields and extra fields into one bucket. The individual {SuperOffice.CRM.Services.PersonEntity.ExtraFields} and UserDefinedFields properties are deprecated in favor of this combined collection. |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
POST /api/v1/Agents/EMail/GetPersonEntitiesFromEmailAddress
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: en
Content-Type: application/json; charset=utf-8
{
"EmailAddress": "edmond_legros@miller.biz"
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
[
{
"PersonId": 698,
"Firstname": "Michael",
"MiddleName": "Botsford-Wintheiser",
"Lastname": "Dare",
"Mrmrs": "qui",
"Title": "a",
"UpdatedDate": "2009-08-27T10:11:00.0160207+02:00",
"CreatedDate": "2019-07-19T10:11:00.0160207+02:00",
"BirthDate": "2025-07-29T10:11:00.0160207+02:00",
"CreatedBy": null,
"Emails": [
{
"Value": "dolores",
"StrippedValue": "quo",
"Description": "Compatible content-based success",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 249
}
}
},
{
"Value": "dolores",
"StrippedValue": "quo",
"Description": "Compatible content-based success",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 249
}
}
}
],
"Description": "Front-line actuating initiative",
"IsAssociate": false,
"PrivatePhones": [
{
"Value": "necessitatibus",
"StrippedValue": "labore",
"Description": "Re-contextualized dedicated definition",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 669
}
}
},
{
"Value": "necessitatibus",
"StrippedValue": "labore",
"Description": "Re-contextualized dedicated definition",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 669
}
}
}
],
"Faxes": [
{
"Value": "rerum",
"StrippedValue": "ea",
"Description": "User-centric content-based capacity",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 636
}
}
},
{
"Value": "rerum",
"StrippedValue": "ea",
"Description": "User-centric content-based capacity",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 636
}
}
}
],
"MobilePhones": [
{
"Value": "aliquid",
"StrippedValue": "fugit",
"Description": "Automated empowering paradigm",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 920
}
}
},
{
"Value": "aliquid",
"StrippedValue": "fugit",
"Description": "Automated empowering paradigm",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 920
}
}
}
],
"OfficePhones": [
{
"Value": "harum",
"StrippedValue": "voluptas",
"Description": "Synchronised mobile open architecture",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 23
}
}
},
{
"Value": "harum",
"StrippedValue": "voluptas",
"Description": "Synchronised mobile open architecture",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 23
}
}
}
],
"OtherPhones": [
{
"Value": "itaque",
"StrippedValue": "ex",
"Description": "Upgradable fault-tolerant definition",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 437
}
}
},
{
"Value": "itaque",
"StrippedValue": "ex",
"Description": "Upgradable fault-tolerant definition",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 437
}
}
}
],
"Position": null,
"UpdatedBy": null,
"Contact": null,
"Country": null,
"Interests": [
{
"Id": 188,
"Name": "Connelly, Schaefer and Mertz",
"ToolTip": "Numquam delectus maiores libero.",
"Deleted": true,
"Rank": 178,
"Type": "sunt",
"ColorBlock": 519,
"IconHint": "vel",
"Selected": false,
"LastChanged": "2010-08-08T10:11:00.019017+02:00",
"ChildItems": [
{},
{}
],
"ExtraInfo": "ut",
"StyleHint": "facilis",
"Hidden": false,
"FullName": "Christophe Gottlieb",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 570
}
}
}
],
"PersonNumber": "1297234",
"FullName": "Nico Nader DDS",
"NoMailing": true,
"UsePersonAddress": true,
"Retired": true,
"Urls": [
{
"Value": "sed",
"StrippedValue": "alias",
"Description": "Open-source zero defect open system",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 342
}
}
},
{
"Value": "sed",
"StrippedValue": "alias",
"Description": "Open-source zero defect open system",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 342
}
}
}
],
"FormalName": "Jewess, King and Bashirian",
"Address": null,
"Post3": "enim",
"Post2": "magnam",
"Post1": "et",
"Kanalname": "molestiae",
"Kanafname": "corporis",
"CorrespondingAssociate": null,
"Category": null,
"Business": null,
"Associate": null,
"Salutation": "expedita",
"ActiveInterests": 440,
"SupportAssociate": null,
"TicketPriority": null,
"CustomerLanguage": null,
"DbiAgentId": 102,
"DbiKey": "quod",
"DbiLastModified": "2004-06-30T10:11:00.0220838+02:00",
"DbiLastSyncronized": "2024-04-21T10:11:00.0220838+02:00",
"SentInfo": 521,
"ShowContactTickets": 543,
"UserInfo": null,
"ChatEmails": [
{
"Value": "consequatur",
"StrippedValue": "ipsum",
"Description": "Quality-focused multimedia moderator",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 714
}
}
},
{
"Value": "consequatur",
"StrippedValue": "ipsum",
"Description": "Quality-focused multimedia moderator",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 714
}
}
}
],
"InternetPhones": [
{
"Value": "suscipit",
"StrippedValue": "fugiat",
"Description": "Reverse-engineered client-server monitoring",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 860
}
}
},
{
"Value": "suscipit",
"StrippedValue": "fugiat",
"Description": "Reverse-engineered client-server monitoring",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 860
}
}
}
],
"Source": 395,
"ActiveErpLinks": 468,
"ShipmentTypes": [
{
"Id": 531,
"Name": "O'Keefe, Gutmann and Haag",
"ToolTip": "Tempora et nam.",
"Deleted": false,
"Rank": 114,
"Type": "ratione",
"ColorBlock": 920,
"IconHint": "sequi",
"Selected": false,
"LastChanged": "2019-10-26T10:11:00.0230522+02:00",
"ChildItems": [
{},
{}
],
"ExtraInfo": "ea",
"StyleHint": "ut",
"Hidden": true,
"FullName": "Miss Lupe Thiel",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 810
}
}
}
],
"Consents": [
{
"ConsentPersonId": 261,
"Comment": "eius",
"Registered": "2025-08-23T10:11:00.0230522+02:00",
"RegisteredAssociateId": 345,
"Updated": "2003-12-26T10:11:00.0230522+01:00",
"UpdatedAssociateId": 319,
"LegalBaseId": 105,
"LegalBaseKey": "eaque",
"LegalBaseName": "Christiansen LLC",
"ConsentPurposeId": 991,
"ConsentPurposeKey": "accusantium",
"ConsentPurposeName": "Kautzer, Gulgowski and Runte",
"ConsentSourceId": 14,
"ConsentSourceKey": "rerum",
"ConsentSourceName": "Boehm, Upton and King",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 622
}
}
}
],
"BounceEmails": [
"macie.waters@greenholt.biz",
"gilda.johnston@hartmann.name"
],
"ActiveStatusMonitorId": 277,
"CreatedByFormId": 301,
"InitialUtmParameters": null,
"UserDefinedFields": {
"SuperOffice:1": "46495864",
"SuperOffice:2": "Cary Jillian Dicki Jr."
},
"ExtraFields": {
"ExtraFields1": "voluptatem",
"ExtraFields2": "voluptates"
},
"CustomFields": {
"CustomFields1": "corporis",
"CustomFields2": "sequi"
},
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 397
}
}
}
]